# Class CharConversionException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.io.IOException
java.io.CharConversionException

All Implemented Interfaces:
  `Serializable`

public class CharConversionException extends IOException
Base class for character conversion exceptions.

Since:
  1.1
See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CharConversionException()`
  This provides no detailed message.
  `CharConversionException(String s)`
  This provides a detailed message.

- ## Method Summary

  ### Methods declared in class Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods declared in class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### CharConversionException

    public CharConversionException()
    This provides no detailed message.

  - ### CharConversionException

    public CharConversionException(String s)
    This provides a detailed message.
    Parameters:
      `s` - the detailed message associated with the exception.